/***
*		Branchw.h -- ui for MegaBranch
*		 1997 Another Option   All rights reserved.
***/

/*
=============================================================================
|   DATE   | WHAT
=============================================================================
  1 Sep 97 | created -- uses large popup pipes imagery w/ no plug
*/

#define CCNUM     1
#define NOTEPOP   2
#define BENDPOP   3
#define MTOUCHPOP 4
#define PTOUCHPOP 5
#define PGMPOP    6
#define CCPOP     7

/*** large (2211) version of popup pipe menu (with elbow, pipe, & branch) ***/
static USHORT const __chip BranchImageData[] = {
	0xFFFF,0xFC00,0x8000,0x0400,0x9800,0x4400,0x97FF,0xE400,
	0x9000,0x2400,0x9731,0xE400,0x9848,0x6400,0x8024,0x0400,
	0x8070,0x0400,0x8000,0x0400,0xFFFF,0xFC00,0x0000,0x07FF,
	0x4000,0x0FFF,0x4000,0x2FFF,0x4800,0x2FFF,0x4FFF,0xEFFF,
	0x4FCF,0xEFFF,0x4874,0x6FFF,0x403A,0x0FFF,0x407F,0x8FFF,
	0x4000,0x0FFF,0x7FFF,0xFFFF,0x0000,0x03FF,0x0000,0x03FF,
	0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,
	0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,
	0x0000,0x03FF
};

static USHORT const __chip PipeImageData[] = {
	0xFFFF,0xFC00,0x8000,0x0400,0x8000,0x0400,0x9800,0x4400,
	0x97FF,0xE400,0x9000,0x2400,0x97FF,0xE400,0x9800,0x6400,
	0x8000,0x0400,0x8000,0x0400,0xFFFF,0xFC00,0x0000,0x07FF,
	0x4000,0x0FFF,0x4000,0x0FFF,0x4000,0x2FFF,0x4800,0x2FFF,
	0x4FFF,0xEFFF,0x4FFF,0xEFFF,0x4800,0x6FFF,0x4000,0x0FFF,
	0x4000,0x0FFF,0x7FFF,0xFFFF,0x0000,0x03FF,0x0000,0x03FF,
	0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,
	0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,
	0x0000,0x03FF
};

static USHORT const __chip ElbowImageData[] = {
	0xFFFF,0xFC00,0x8000,0x0400,0x9800,0x0400,0x97C0,0x0400,
	0x9060,0x0400,0x97B0,0x0400,0x9858,0x0400,0x8024,0x0400,
	0x8078,0x0400,0x8000,0x0400,0xFFFF,0xFC00,0x0000,0x07FF,
	0x4000,0x0FFF,0x4000,0x0FFF,0x4820,0x0FFF,0x4F90,0x0FFF,
	0x4FC8,0x0FFF,0x4864,0x0FFF,0x403A,0x0FFF,0x407F,0x8FFF,
	0x4000,0x0FFF,0x7FFF,0xFFFF,0x0000,0x03FF,0x0000,0x03FF,
	0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,
	0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,0x0000,0x03FF,
	0x0000,0x03FF
};

static struct Image BranchImage = {
	0,0,
	22,11,
	3,
	BranchImageData,
	0x0007,0x0000,
	NULL
};

static struct Image PipeImage = {
	0,0,
	22,11,
	3,
	PipeImageData,
	0x0007,0x0000,
	NULL
};

static struct Image ElbowImage = {
	0,0,
	22,11,
	3,
	ElbowImageData,
	0x0007,0x0000,
	NULL
};

static struct MenuItem BranchMenuItem = {
	NULL,
	0,22,
	22,11,
	ITEMENABLED+HIGHBOX,
	0,
	(APTR)&BranchImage,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct MenuItem ElbowMenuItem = {
	&BranchMenuItem,
	0,0,
	22,11,
	ITEMENABLED+HIGHBOX,
	0,
	(APTR)&ElbowImage,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct MenuItem PipeMenuItem = {
	&ElbowMenuItem,
	0,11,
	22,11,
	ITEMENABLED+HIGHBOX,
	0,
	(APTR)&PipeImage,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct Menu PopPipeMenu = {
	NULL,
	0,0,
	7,0,
	MENUENABLED,
	"",
	&PipeMenuItem
};

#define PIPE_ITEM    0
#define ELBOW_ITEM   1
#define BRANCH_ITEM  2

/*** fine ***/

static struct PropInfo Gadget7SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5011,-1,
};

static struct Image Image1 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	2,0,JAM2,
	-27,-1,
	NULL,
	"CC:",
	NULL
};

static struct Gadget Gadget7 = {
	NULL,
	149,57,
	101,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image1,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget7SInfo,
	CCNUM,
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget7,
	230,42,
	22,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	CCPOP,
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	102,42,
	22,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	PGMPOP,
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	230,29,
	22,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	PTOUCHPOP,
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	102,29,
	22,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	MTOUCHPOP,
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	230,16,
	22,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	BENDPOP,
	NULL
};
static struct Gadget Gadget1 = {
	&Gadget2,
	102,16,
	22,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NOTEPOP,
	NULL
};

#define GadgetList1 Gadget1

static struct IntuiText ITextM2 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Snapshot",
	NULL
};

static struct MenuItem MenuItem24 = {
	NULL,
	0,48,
	216,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&ITextM2,
	NULL,
	'S',
	NULL,
	MENUNULL
};

static struct IntuiText ITextM3 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Free SysEx",
	NULL
};

#define FreeSysexItem MenuItem23
static struct MenuItem MenuItem23 = {
	&MenuItem24,
	0,36,
	216,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&ITextM3,
	NULL,
	'F',
	NULL,
	MENUNULL
};

static struct IntuiText ITextM4 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Use SysEx",
	NULL
};

#define UseSysexItem MenuItem22
static struct MenuItem MenuItem22 = {
	&MenuItem23,
	0,28,
	216,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&ITextM4,
	NULL,
	'U',
	NULL,
	MENUNULL
};

static struct IntuiText ITextM5 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Branch All Controllers",
	NULL
};

static struct MenuItem MenuItem21 = {
	&MenuItem22,
	0,16,
	216,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&ITextM5,
	NULL,
	'B',
	NULL,
	MENUNULL
};

static struct IntuiText ITextM6 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Pass All Controllers",
	NULL
};

static struct MenuItem MenuItem20 = {
	&MenuItem21,
	0,8,
	216,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&ITextM6,
	NULL,
	'P',
	NULL,
	MENUNULL
};

static struct IntuiText ITextM7 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Elbow All Controllers",
	NULL
};

static struct MenuItem MenuItem19 = {
	&MenuItem20,
	0,0,
	216,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&ITextM7,
	NULL,
	'E',
	NULL,
	MENUNULL
};

static struct Menu Menu7 = {
	NULL,
	0,0,
	88,0,
	MENUENABLED,
	"MegaBranch v1.0  1997 Michael Rees",
	&MenuItem19
};

#define MenuList1 Menu7

static struct IntuiText IText8 = {
	2,0,JAM2,
	139,44,
	NULL,
	"ControlChg",
	NULL
};

static struct IntuiText IText7 = {
	2,0,JAM2,
	12,44,
	NULL,
	"Pgm Change",
	&IText8
};

static struct IntuiText IText6 = {
	2,0,JAM2,
	140,31,
	NULL,
	"Poly Touch",
	&IText7
};

static struct IntuiText IText5 = {
	2,0,JAM2,
	12,31,
	NULL,
	"Mono Touch",
	&IText6
};

static struct IntuiText IText4 = {
	2,0,JAM2,
	140,18,
	NULL,
	"Pitch Bend",
	&IText5
};

static struct IntuiText IText3 = {
	2,0,JAM2,
	52,18,
	NULL,
	"Notes",
	&IText4
};

#define IntuiTextList1 IText3

static struct NewWindow NewWindowStructure1 = {
	115,28,
	294,71,
	0,1,
	GADGETDOWN+GADGETUP+MENUPICK+CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+SIZEBBOTTOM+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	5,5,
	-1,-1,
	CUSTOMSCREEN
};
#define WTITLE "MegaBranch"